Bug 89005 - kernel i2o driver runs for about a week then crashes system. DPT PM2654U2 Controller.
kernel i2o driver runs for about a week then crashes system. DPT PM2654U2 Co...
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-04-16 09:38 EDT by Marco Coelho
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marco Coelho 2003-04-16 09:38:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
Kernel i2o driver runs for about a week then crashes system.  DPT PM2654U2 
Controller.  I've tried 2.4.18-27.7.xsmnp with similar results (maybe shorter 
life time).

Dual MP Athlon 2100 cpu's, Raid 5 array on DPT PM2654U2 (now adaptec) 
controller.  3GB of SD buffered ram.  MSI K7D Master Motherboard.

System will run for about a week then fail hard.  No kernel debug to screen, no 
log entry other than about three lines of "^@^@^@^@^@^@^@^" in message log at 
time of death.

Raid Array lights will be solid on.  No flicker.  It looks like the system hung 
mid write or read.

I don't see a system memory leak.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Boot System
2.  Let it run for a week
3.  Go to work verrry early to reboot system

Actual Results:  Had coffee.

Expected Results:  System runs no reboot required.

Additional info:
Comment 1 Marco Coelho 2003-04-16 09:40:12 EDT
No tcp ip connectivity no console connectivity.
Comment 2 Alan Cox 2003-04-16 10:47:27 EDT
It ought to be ok. There are funnies with some AMD76x BIOSes and I2O cards but
with a recentish BIOS the promise card is stable.

Things that come to mind:
1. Do you have a PS/2 mouse on the system. If its AMD chipset and you don't try
adding one for a bit (hardware bug)
2. Have the lights on the raid card (the heartbeat) stopped. If so it points
rather hard at a
hardware compatibility or related problem (possibly related to #1 above)

If so you might want to check if Adaptec/DPT support are aware of any problems
with the AMD chipset and their card as well.

At the moment I'm not sure which is involved (or indeed if its something else)

Comment 3 Marco Coelho 2003-04-21 15:18:49 EDT
I'm not familiar with the PS2 problem.  This is a MSI K7 Master motherboard 
with dual processors.  AMD 760 Front and Back chipsets.  The www.msi.com.tw 
site does not mention any issues or bug fixes.

This is a DPT SCSI controller (now adaptec).

Comment 4 Alan Cox 2003-04-21 16:07:29 EDT
Does Adaptec/DPT support know of any if you phone them and ask ?

As regards the PS/2 issue, that would require you made some use of the IDE
to bite, and its a known AMD chipset problem. From the description you have
nothing on IDE at all correct ?
Comment 5 Bugzilla owner 2004-09-30 11:40:48 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.